export declare type PackageManager = "berry" | "npm" | "pnpm" | "yarn";
export declare type Metric = "drift" | "pulse" | "releases" | "major" | "minor" | "patch";
export declare type Threshold = Record<`${Metric}${"Collective" | "Individual"}`, number>;
export declare type Overrides = Record<string, Record<Metric, number> & {
    defer?: string;
}>;
export declare type Configuration = {
    overrides?: Overrides;
    threshold?: Record<Metric, {
        collective?: Pick<Threshold, `${Metric}Collective`>;
        individual?: Pick<Threshold, `${Metric}Individual`>;
    }>;
};
export declare type Dependencies = Array<Record<Metric, number> & {
    dependency: string;
    available: string;
}>;
export declare type Totals = Map<Metric, number>;
export declare type ViolationsCollective = Map<Metric, number>;
export declare type ViolationsIndividual = Map<Metric, Map<string, {
    threshold: number;
    value: number;
}>>;
export declare type Violations = {
    collective: ViolationsCollective;
    individual: ViolationsIndividual;
};
